//Controller：控制器名称
//conditionStr：查询条件
//funcID:父节点ID值
//ViewID：页面ID值
function InitDataIndex($, doc, data) {
	var localStorage = plus.storage;
	var subFuncs = localStorage.getItem("SubFuncs");
	var SubFuncs = JSON.parse(subFuncs);
	var buttons = [];

	//conditionStr：查询条件
	//IsDelete：是否有删除操作
	//IsAdd：是否有增加操作
	//addHtmlUrl：增加页面地址
	//buttons:按钮集合（IsUse：是否启用，type：类别，name：名称，url:-地址）
	//ViewID 界面ID
	var IsDelete = false;
	var IsAdd = false;
	var addHtmlUrl = "addIndex.html";

	for(var i = 0; i < SubFuncs.length; i++) {
		//console.info(JSON.stringify(SubFuncs[i]));

		if(SubFuncs[i].PID == data.funcID) {
			var icon = SubFuncs[i].Icon;
			if(icon == "add") {
				IsAdd = true;
				addHtmlUrl = SubFuncs[i].Url;
			} else {
				if(icon == "delete") {
					IsDelete = true;
				} else {

					buttons.push({
						IsUse: 1,
						type: icon + data.Controller,
						name: SubFuncs[i].Name,
						url: SubFuncs[i].Url
					})

				}
			}
		}
	}
	var Options = {
		Controller: data.Controller,
		conditionStr: data.conditionStr,
		IsDelete: IsDelete,
		IsAdd: IsAdd,
		addHtmlUrl: addHtmlUrl,
		buttons: buttons,
		ViewID: data.ViewID
	};
	ViewIndex($, doc, Options);
}

//Controller：控制器名称
//conditionStr：查询条件
//IsEdit：是否有修改操作
//IsDelete：是否有删除操作
//IsAdd：是否有增加操作
//addHtmlUrl：增加页面地址
//buttons:按钮集合（isuse：是否启用，type：类别，name：名称，url:-地址）
//ViewID 界面ID
function ViewIndex($, doc, Options) {
	var buttons = [];
	//初始页码
	var pageNo = 1;
	if(IsEmpty(Options.addHtmlUrl) && Options.IsAdd == true) {
		Options.addHtmlUrl = "addIndex.html";
	} else {}
	if(Options.IsAdd == true) {
		//console.info(Options.IsAdd);
		showLabel(doc, "Add");
	} else {
		hiddenLabel(doc, "Add");
	}
	buttons = Options.buttons;
	$.init({
		swipeBack: true, //滑动返回
		pullRefresh: {
			container: "#refreshContainer", //待刷新区域标识，querySelector能定位的css选择器均可，比如：id、.class等
			up: { //上拉加载
				height: 50, // 可选.默认50.触发上拉加载拖动距离
				auto: true, // 可选,默认false.自动上拉加载一次
				contentrefresh: "正在加载...", // 可选，正在加载状态时，上拉加载控件上显示的标题内容
				contentnomore: '没有更多数据了', // 可选，请求完毕若没有更多数据时显示的提醒内容；
				callback: function() {
					var self = this; // 这里的this == mui('#refreshContainer').pullRefresh()
					// 加载更多的内容
					search(self);
				} //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
			},
		}
	})

	//搜索方法
	function search(pullRefresh) {
		var dataLength = 0;
		var list = doc.getElementsByClassName("erpsearch");
		var conditionStr = "1=1";
		if(!IsEmpty(Options.conditionStr)) {
			conditionStr = Options.conditionStr;
		}
		//console.dir(list.length);
		for(var i = 0; i < list.length; i++) {
			var value = list[i].value;
			if(typeof(value) == 'undefined' || value == null || value == '') {
				continue;
			} else {
				var temp = list[i].attributes["myname"].value;
				var readonly = list[i].attributes["ID"].value;
				if(readonly == "beginTime" || readonly == "endTime") {
					if(readonly == "beginTime") {
						conditionStr += " and " + temp + " >= '" + value + "'";
					} else {
						conditionStr += " and " + temp + " < '" + value + "'";
					}
				} else {
					conditionStr += " and " + temp + " like '%" + value + "%'";
				}
			}

		}
		//	console.info(Options.Controller);
		app.AppAjax(
			"/" + Options.Controller + ".mvc/GetViewData", {
				page: pageNo,
				rows: 6,
				sidx: "BuildTime",
				sord: "desc",
				condition: conditionStr
			},
			"Post",
			5000,
			function(data) {
				//console.log(JSON.stringify(data));
				//var arr = data.rows;
				var arr = data;
				var liArr = [];
				var idArr = [];
				var listUl = doc.getElementById("list");
				if(arr.length != 0) {
					dataLength = arr.length;
					//console.info("arr"+dataLength);
					for(var i in arr) {
						var str = "";
						//console.log(i);
						var ent = arr[i];
						var li = doc.createElement("li");
						li.className = 'mui-table-view-cell mui-media scjh_gl';
						li.id = "li" + ent.ID;
						//str += "<li class='mui-table-view-cell mui-media scjh_gl' id='li"+ent.ID+"'>";
						if(Options.IsDelete == true) {
							str += "<div class='mui-slider-right mui-disabled'>";
							str += "<a class='mui-btn mui-btn-red' style='transform: translate(0px, 0px);' id='" + ent.ID + "'>删除</a>";
							str += "</div>";
						}
						str += "<div  class='mui-slider-handle' style='transform: translate(0px, 0px);'>";
						if(IsEmpty(ent.buildTime)) {
							str += "<h2><i></i><a href='javascript:void(0)' id='detail" + ent.ID + "'>" + ent.titleName + "</a></h2>";
						} else {
							str += "<h2><i>" + ent.buildTime + "</i><a href='javascript:void(0)'>" + ent.titleName + "</a></h2>";
						}

						str += "<a href='javascript:void(0)'  >";
						str += "	<div  class='mui-media-body'>";
						if(ent.Message.length > 0) {
							for(var i in ent.Message) {
								str += "<p>" + ent.Message[i] + "</p>";
							}
						} else {
							str += "		<p></p>";
							str += "		<p></p>";
						}
						str += "	</div>";
						str += "</a>";
						if(buttons.length > 0) {
							str += "<p class='jp_lb_p'>";
							for(var i = 0; i < buttons.length; i++) {
								if(buttons[i].IsUse == 1) {
									str += "<a id='" + buttons[i].type + ent.ID + "'  class='jh_lb_i1'>" + buttons[i].name + "</a>";
								}
							}
							str += "</p>";
						}
						str += "</div>";
						//str += "</li>";
						li.innerHTML = str;

						var temp = doc.getElementById("li" + ent.ID);
						if(typeof(temp) == "undefined" || temp == null) {
							liArr.push(li);
							idArr.push(ent.ID)
						}

					}
					if(dataLength >= 6) {
						pageNo++;
					}
					for(var i in idArr) {
						//绑定按钮功能
						listUl.appendChild(liArr[i]);
						setFunc(idArr[i]);
						//							console.log("i:"+i);
						//							console.log(liArr[i]);
					}
					if(pullRefresh != undefined) {
						pullRefresh.endPullupToRefresh(false);
					}

					//$('#refreshContainer').pullRefresh().endPulldownToRefresh();

				} else {
					pullRefresh.endPullupToRefresh(true);
				}
			}
		);
		//console.info(dataLength);

	}
	//绑定按钮功能
	function setFunc(id) {
		var btnArray = ['确定', '取消'];
		//console.log(id);
		if(Options.IsDelete == true) {
			doc.getElementById(id).addEventListener('tap', function() {
				var li = this.parentNode.parentNode;
				$.confirm('确认删除该条记录？', 'ERP手机端', btnArray, function(e) {
					//console.info(id);
					if(e.index == 1) {
						mui.swipeoutClose(li);
					} else {
						del(id);
					}
				}, 'div');
			});
		}

		for(var i = 0; i < buttons.length; i++) {
			if(buttons[i].IsUse == 1) {
				//console.info(buttons[i].type);
				var obj = doc.getElementById(buttons[i].type + id);
				//if(buttons[i].url=="detailIndex.html")
				//console.info(buttons[i].type + id);
				//if(IsEmpty(obj))continue;
				obj.setAttribute("myurl", buttons[i].url);
				obj.setAttribute("mytype", buttons[i].type);
				obj.addEventListener('tap', function() {
					var myurl = this.attributes["myurl"].value;
					var mytype = this.attributes["mytype"].value;

					$.openWindow({
						url: myurl,
						id: Options.Controller + mytype + "Index.html",
						extras: {
							name: 'mui',
							version: '3',
							customerID: id,
							ViewID: Options.ViewID
						}
					})
				})
			}
		}

	}

	//删除
	function del(ID) {
		//console.info(ID);
		//		var arr = [];
		//		arr.push(ID);
		app.AppAjax(
			"/" + Options.Controller + ".mvc/Delete", {
				id: ID
			},
			"Post",
			5000,
			function(data) {
				//console.log(JSON.stringify(data))
				if(data.Result == true) {
					var listUl = doc.getElementById("list");
					var li = doc.getElementById("li" + ID);
					listUl.removeChild(li);

				} else {
					console.log(data.Message);
				}
				$.alert(data.Message, "消息提示", null, null, 'div');
				//mui.toast(data.Message);
			}
		);
	}
	//查询弹出框
	$("#middlePopover").on("tap", "a", function() {
		$("#middlePopover").popover("hide");
	})
	if(Options.IsAdd == true) {
		//新增按钮绑定跳转功能
		doc.getElementById("Add").addEventListener("tap", function() {
			$.openWindow({
				url: Options.addHtmlUrl,
				id: Options.Controller + "AddIndex.html",
				extra: {
					ViewID: Options.ViewID
				}
			});
		});
	}
	doc.getElementById("search").addEventListener("tap", function() {
		if(!DateLegal(doc)) return;

		$("#middlePopover").popover("hide");
		$('#refreshContainer').pullRefresh().refresh(true);
		doc.getElementById("list").innerHTML = "";
		pageNo = 1;
		search($('#refreshContainer').pullRefresh());
	});
}