var imageIndexIdNum = 0;

var get = function(id) {
	return document.getElementById(id);
};

var getElement = function(elment) {
	return document.createElement(elment);
};

var getFileInputArray = function(imageList) {
	return [].slice.call(imageList.querySelectorAll('input[type="file"]'));
};

//图片列表
var newPlaceholder = function(imageList) {
	var fileInputArray = getFileInputArray(imageList);
	if(fileInputArray &&
		fileInputArray.length > 0 &&
		fileInputArray[fileInputArray.length - 1].parentNode.classList.contains('default')) {
		return;
	}
	imageIndexIdNum++;
	var placeholder = document.createElement('div'); //初始化图片区域
	placeholder.setAttribute('class', 'img-item default');
	var closeButton = document.createElement('div'); //初始化关闭按钮
	closeButton.setAttribute('class', 'img-close');
	closeButton.innerHTML = 'X';
	closeButton.addEventListener('click', function(event) { //点击删除选择的图片
		event.stopPropagation();
		event.cancelBubble = true;
		setTimeout(function() {
			imageList.removeChild(placeholder);
		}, 0);
		return false;
	}, false);
	var fileInput = document.createElement('input');
	fileInput.setAttribute('type', 'file');
	fileInput.setAttribute('accept', 'image/*');
	fileInput.setAttribute('id', 'image-' + imageIndexIdNum);
	fileInput.addEventListener('change', function(event) { //点击按钮选着图片
		var file = fileInput.files[0];
		if(file) {
			var reader = new FileReader();
			reader.onload = function() {
				//处理 android 4.1 兼容问题
				var base64 = reader.result.split(',')[1];
				var dataUrl = 'data:image/png;base64,' + base64;
				//
				placeholder.style.backgroundImage = 'url(' + dataUrl + ')';
			}
			reader.readAsDataURL(file);
			placeholder.classList.remove('default');
			newPlaceholder(imageList);
		}
	}, false);
	placeholder.appendChild(closeButton);
	placeholder.appendChild(fileInput);
	imageList.appendChild(placeholder);
};

var setWorkState = function(userPicker, workStatus, statusResult) {
	userPicker.setData([{
		value: 'working',
		text: '正在工作'
	}, {
		value: 'noyet',
		text: '未工作'
	}, {
		value: 'waiting',
		text: '等待工作'
	}]);

	workStatus.addEventListener('tap', function(event) {
		userPicker.show(function(items) {
			statusResult.innerText = items[0].text;
			//JSON.stringify(items[0].text);使用该句会使得页面显示字符串带双引号
		});
	}, false);

};

var isSwitch = function($,id,spantext) {
	
	$(id).each(function() { //循环所有toggle
		//toggle.classList.contains('mui-active') 可识别该toggle的开关状态
		this.parentNode.querySelector('span').innerText = spantext + (this.classList.contains('mui-active') ? '是' : '否');
		/**
		 * toggle 事件监听
		 */
		this.addEventListener('toggle', function(event) {
			//event.detail.isActive 可直接获取当前状态
			this.parentNode.querySelector('span').innerText = spantext + (event.detail.isActive ? '是' : '否');
		});
	});
}

var dateSelector = function($, datebtn_id, result_id) {
	var result = $(result_id)[0];
	var datebtns = $(datebtn_id);
	datebtns.each(function(i, btn) {
		btn.addEventListener('tap', function() {
			var optionsJson = this.getAttribute('data-options') || '{}';
			var options = JSON.parse(optionsJson);
			var id = this.getAttribute('id');

			var picker = new $.DtPicker(options);
			picker.show(function(rs) {
				/*
				 * rs.value 拼合后的 value
				 * rs.text 拼合后的 text
				 * rs.y 年，可以通过 rs.y.vaue 和 rs.y.text 获取值和文本
				 * rs.m 月，用法同年
				 * rs.d 日，用法同年
				 * rs.h 时，用法同年
				 * rs.i 分（minutes 的第二个字母），用法同年
				 */
				result.innerText = "";
				result.innerText = rs.text;
				/* 
				 * 返回 false 可以阻止选择框的关闭
				 * return false;
				 */
				/*
				 * 释放组件资源，释放后将将不能再操作组件
				 * 通常情况下，不需要示放组件，new DtPicker(options) 后，可以一直使用。
				 * 当前示例，因为内容较多，如不进行资原释放，在某些设备上会较慢。
				 * 所以每次用完便立即调用 dispose 进行释放，下次用时再创建新实例。
				 */
				picker.dispose();
			});
		}, false);
	});
};

var setAddress = function($,li_showCity_container, span_cityResult,cityData3) {
	var cityPicker3 = new $.PopPicker({
		layer: 3
	});
	cityPicker3.setData(cityData3);
	var showCityPickerButton = get(li_showCity_container);
	var cityResult3 = get(span_cityResult);
	showCityPickerButton.addEventListener('tap', function(event) {
		cityPicker3.show(function(items) {
			cityResult3.innerText = (items[0] || {}).text + " " + (items[1] || {}).text + " " + (items[2] || {}).text;
			//返回 false 可以阻止选择框的关闭
			//return false;
		});
	}, false);
}